API documentation | API docs for agents | OpenAPI 3.1

POST /api/v1/billing/loads/undeliver-preview

ark.preview_billing_undeliver

Preview Billing Undeliver through the authoritative Billing application boundary.

Availability
Expanded preview
Scopes
loads:readbilling:read
ARK permissions
canViewLoadscanViewBilling
Team visibility
Required and enforced
Idempotency-Key
Not required
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

None.

Request body

loadIdsarray<string>required

min items: 1; max items: 100

Example request

Shell
curl -X POST 'https://arktms.com/api/v1/billing/loads/undeliver-preview' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "loadIds": [
    "<loadIds>"
  ]
}'

Success response

Operation result.

objectstringrequired
okbooleanrequired
api_versionstringrequired
request_idstringrequired
dataobjectrequired

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied
HTTP 404
Resource not found
HTTP 409
Idempotency conflict or in-progress retry